package alx.p40_io;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Arrays;

public class Czytaj3 {
	// Zazwyczaj dane czyta się większymi porcjami - żeby było szybciej

	public static void main(String[] args) {
		// "try-with-resources" - konstrukcja automatycznego zamykania zasobów dostępna od Javy 7
		try(InputStream in = new FileInputStream("plik.txt")) {
			
			byte[] bufor = new byte[128];
			while(true) {
				
				int ile = in.read(bufor);
				if(ile == -1)
					break;
				System.out.println("Kolejna porcja: (" + ile + ") : "
						+ Arrays.toString(bufor));
			}
		} catch (IOException e) {  // to tez lapie FileNotFoundException
			e.printStackTrace();
		}
	}

}
